Bug 44913 - [PATCH] build: Add --disable-fatal-warnings
Summary: [PATCH] build: Add --disable-fatal-warnings
Status: RESOLVED FIXED
Alias: None
Product: gstreamer
Classification: Unclassified
Component: account (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Thomas Vander Stichele
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-18 13:05 UTC by Colin Walters
Modified: 2012-01-19 05:50 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
[PATCH] build: Add --disable-fatal-warnings (1.89 KB, patch)
2012-01-18 13:05 UTC, Colin Walters
Details | Splinter Review

Description Colin Walters 2012-01-18 13:05:13 UTC
Created attachment 55753 [details] [review]
[PATCH] build: Add --disable-fatal-warnings

It's reasonable to build from git, but not want to turn all compiler
warnings into fatal errors.  For example, GNOME's jhbuild helps people
get newer versions of software than came from their distribution, but
they may not necessarily want to hack on it.
Comment 1 Tim Müller 2012-01-19 05:50:55 UTC
Hi,

our normal bugzilla is bugzilla.gnome.org, as per http://gstreamer.freedesktop.org/bugs/

We only use this fdo bugzilla for account requests.

However, I've pushed your patch now, in slightly modified form, hope you don't mind:

common module:

 commit 17fa4abf49d31cf5dcc2994bdbaa86e45a3fb69f
 Author: Colin Walters <walters@verbum.org>
 Date:   Thu Jan 19 13:37:12 2012 +0000

    gst-args: add AG_GST_ARG_DISABLE_FATAL_WARNINGS to provide --disable-fatal-warnings configure option
    
    It's reasonable to build from git, but not want to turn all compiler
    warnings into fatal errors.  For example, GNOME's jhbuild helps people
    get newer versions of software than came from their distribution, but
    they may not necessarily want to hack on it.


GStreamer core:

commit 8accd77659d6eb99b39b31c76eff9c569b9242b6
Author: Colin Walters <walters@verbum.org>
Date:   Tue Jan 17 16:23:33 2012 -0500

    build: add --disable-fatal-warnings configure option
    
    It's reasonable to build from git, but not want to turn all compiler
    warnings into fatal errors.  For example, GNOME's jhbuild helps people
    get newer versions of software than came from their distribution, but
    they may not necessarily want to hack on it.

I'll fix up the other modules soonish. Please file further bugs in bgo, thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.